<script setup lang="ts">
import type { PropType } from 'vue';
import { ChevronLgRight } from 'slippers-ui/icons';
import type { BaseLink } from '@/types/base';

defineProps({
  header: {
    type: String,
    required: true,
  },
  subheader: {
    type: String,
    required: false,
    default: '',
  },
  description: {
    type: String,
    required: false,
    default: '',
  },
  primaryCta: {
    type: Object as PropType<BaseLink>,
    required: false,
  },
  secondaryCta: {
    type: Object as PropType<BaseLink>,
    required: false,
  },
});
</script>

<template>
  <SlpContainer class="hero">
    <SlpRow>
      <SlpColumn :cols="12" class="container">
        <SlpTypography v-if="subheader" tag="h5" variant="heading5-bold">
          {{ subheader }}
        </SlpTypography>
        <SlpTypography v-if="header" tag="h1" variant="heading1-bold" class="slp-mb-32">
          {{ header }}
        </SlpTypography>
        <CommonHorizontalRule class="hero__divider" />
        <SlpTypography v-if="description" variant="body1" tag="div">
          <div v-html="$md.render(description)"></div>
        </SlpTypography>
        <div class="hero__buttons">
          <SlpButton v-if="primaryCta" :href="primaryCta.config.href" :data-ga-name="header" data-ga-location="hero">
            {{ primaryCta.text }}
          </SlpButton>
          <SlpButton
            v-if="secondaryCta"
            :href="secondaryCta.config.href"
            :data-ga-name="secondaryCta?.text"
            data-ga-location="hero"
            variant="secondary"
            class="slp-ml-24"
          >
            {{ secondaryCta?.text }}
            <SlpIcon :icon="ChevronLgRight" class="slp-ml-8" />
          </SlpButton>
        </div>
      </SlpColumn>
    </SlpRow>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.hero {
  margin-top: $spacing-32;
  margin-bottom: $spacing-64;
  overflow: hidden;
  align-items: flex-start;
  flex-direction: column;

  &__divider {
    margin: $spacing-24 0 $spacing-48 0;
  }

  &__buttons {
    padding-top: $spacing-32;
  }
}

.container {
  flex-basis: 100%;
}
</style>
